docker.io update to 1.6.2

Bug #1454719 reported by Robie Basak on 2015-05-13
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
docker.io (Ubuntu)
Wishlist
Kick In
Trusty
Wishlist
Robie Basak
Utopic
Wishlist
Robie Basak
Vivid
Wishlist
Robie Basak
go-md2man (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-blackfriday (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
golang-context-dev (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
golang-dbus (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-fsnotify (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-go-patricia (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-gocapability-dev (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-logrus (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-objx (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
golang-pty-dev (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
golang-testify (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

1.6.2 is available in Debian. This needs to be merged to Wily and backported in SRUs to Trusty, Utopic and Vivid as approved by the technical board[0].

[0]: https://lists.ubuntu.com/archives/technical-board/2015-April/002090.html

Robie Basak (racb) on 2015-05-13
Changed in docker.io (Ubuntu Trusty):
status: New → Triaged
Changed in docker.io (Ubuntu Utopic):
status: New → Triaged
Changed in docker.io (Ubuntu Vivid):
status: New → Triaged
Changed in docker.io (Ubuntu Trusty):
importance: Undecided → Wishlist
Changed in docker.io (Ubuntu Utopic):
importance: Undecided → Wishlist
Changed in docker.io (Ubuntu Vivid):
importance: Undecided → Wishlist
Changed in docker.io (Ubuntu Trusty):
assignee: nobody → Robie Basak (racb)
Changed in docker.io (Ubuntu Utopic):
assignee: nobody → Robie Basak (racb)
Changed in docker.io (Ubuntu Vivid):
assignee: nobody → Robie Basak (racb)
summary: - docker.io SRU to 1.6.1 from Wily
+ docker.io update to 1.6.1

I have backported reverse build dependencies for 1.6/1.6.1 available for testing in ppa:racb/docker.

Robie Basak (racb) on 2015-06-17
summary: - docker.io update to 1.6.1
+ docker.io update to 1.6.2
Robie Basak (racb) on 2015-06-17
no longer affects: golang-context (Ubuntu)
no longer affects: golang-blackfriday (Ubuntu Utopic)
no longer affects: golang-blackfriday (Ubuntu Vivid)
no longer affects: golang-context (Ubuntu Trusty)
no longer affects: golang-context (Ubuntu Utopic)
no longer affects: golang-context (Ubuntu Vivid)
no longer affects: golang-context-dev (Ubuntu Utopic)
no longer affects: golang-context-dev (Ubuntu Vivid)
no longer affects: golang-testify (Ubuntu Vivid)
no longer affects: golang-pty-dev (Ubuntu Vivid)
Changed in go-md2man (Ubuntu):
status: New → Fix Released
Changed in golang-blackfriday (Ubuntu):
status: New → Fix Released
Changed in docker.io (Ubuntu):
status: Triaged → Fix Released
Changed in golang-context-dev (Ubuntu):
status: New → Fix Released
Changed in golang-dbus (Ubuntu):
status: New → Fix Released
Changed in golang-fsnotify (Ubuntu):
status: New → Fix Released
Changed in golang-go-patricia (Ubuntu):
status: New → Fix Released
Changed in golang-gocapability-dev (Ubuntu):
status: New → Fix Released
Changed in golang-logrus (Ubuntu):
status: New → Fix Released
Robie Basak (racb) on 2015-06-17
Changed in golang-objx (Ubuntu):
status: New → Fix Released
Changed in golang-pty-dev (Ubuntu):
status: New → Fix Released
Changed in golang-testify (Ubuntu):
status: New → Fix Released
description: updated

Hello Robie, or anyone else affected,

Accepted golang-blackfriday into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-blackfriday/1.2-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-blackfriday (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in golang-context-dev (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-context-dev into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-context-dev/0.0~git20140604.1.14f550f-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-dbus (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-dbus into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-dbus/2-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-dbus into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-dbus/2-1~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-dbus (Ubuntu Utopic):
status: New → Fix Committed
Changed in golang-dbus (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-dbus into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-dbus/2-1~ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-pty-dev (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-pty-dev into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-pty-dev/0.0~git20150218-0ubuntu4~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-gocapability-dev (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-gocapability-dev into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-gocapability-dev/0.0~git20150506.1.66ef2aa-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-gocapability-dev (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-gocapability-dev into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-gocapability-dev/0.0~git20150506.1.66ef2aa-1~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-gocapability-dev (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-gocapability-dev into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-gocapability-dev/0.0~git20150506.1.66ef2aa-1~ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted go-md2man into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/go-md2man/1.0.2-1ubuntu1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in go-md2man (Ubuntu Trusty):
status: New → Fix Committed
Changed in go-md2man (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted go-md2man into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/go-md2man/1.0.2-1ubuntu1~14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in go-md2man (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted go-md2man into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/go-md2man/1.0.2-1ubuntu1~15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-testify (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-testify into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-testify/0.0~git20141213-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-testify (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-testify into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-testify/0.0~git20141213-1~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-objx (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-objx into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-objx/0.0~git20140527-4~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-objx (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-objx into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-objx/0.0~git20140527-4~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-objx (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-objx into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-objx/0.0~git20140527-4~ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-go-patricia (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-go-patricia into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-go-patricia/2.1.0-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-go-patricia (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-go-patricia into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-go-patricia/2.1.0-1~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-go-patricia (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-go-patricia into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-go-patricia/2.1.0-1~ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-logrus (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-logrus into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-logrus/0.7.3-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-logrus (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-logrus into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-logrus/0.7.3-1~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-logrus (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-logrus into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-logrus/0.7.3-1~ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-fsnotify (Ubuntu Trusty):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-fsnotify into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-fsnotify/1.2.0-1~ubuntu0.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-fsnotify (Ubuntu Utopic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-fsnotify into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-fsnotify/1.2.0-1~ubuntu0.14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-fsnotify (Ubuntu Vivid):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-fsnotify into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-fsnotify/1.2.0-1~ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted golang-pty into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-pty/0.0~git20150218-0ubuntu4~14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-pty-dev (Ubuntu Utopic):
status: New → Invalid
Changed in golang-pty (Ubuntu):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted docker.io into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/1.6.2~dfsg1-1ubuntu3~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in docker.io (Ubuntu Trusty):
status: Triaged → Fix Committed
Changed in docker.io (Ubuntu Utopic):
status: Triaged → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted docker.io into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/1.6.2~dfsg1-1ubuntu3~14.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in docker.io (Ubuntu Vivid):
status: Triaged → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Robie, or anyone else affected,

Accepted docker.io into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/1.6.2~dfsg1-1ubuntu3~15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Hans Joachim Desserud (hjd) wrote :

Hello, I came across bug 1453133 which I was tempted to close as a duplicate of this one. However, it started talking about gccgo and ppcel64 support and I don't know whether that is covered by this issue. Could someone please take a quick look?

Adam Conrad (adconrad) wrote :

Bug 1453133 isn't relevant here, as it was a specific request for docker on ppc64el, which is not currently supported in trusty, and may not ever be.

Kick In (kick-d) wrote :

Hello,

Found an upgrade bug when a docker container is running and busy while docker.io is upgrading, where docker/systemd left over some scope files blocking the container to start again. Need a fix, so tagging failed.

tags: added: verification-failed
removed: verification-needed
Changed in docker.io (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-testify (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-pty-dev (Ubuntu Utopic):
status: Invalid → Won't Fix
Changed in go-md2man (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-dbus (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-fsnotify (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-go-patricia (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-gocapability-dev (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-logrus (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in golang-objx (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in docker.io (Ubuntu):
assignee: Kick In (kick-d) → Robie Basak (racb)
assignee: Robie Basak (racb) → Kick In (kick-d)
Robie Basak (racb) wrote :

Updated backports for docker.io for Trusty and Vivid are back in the unapproved queue.

Changed in docker.io (Ubuntu Trusty):
status: Fix Committed → In Progress
Changed in docker.io (Ubuntu Vivid):
status: Fix Committed → In Progress
Brian Murray (brian-murray) wrote :

Hello Robie, or anyone else affected,

Accepted docker.io into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/1.6.2~dfsg1-1ubuntu4~15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in docker.io (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Robie, or anyone else affected,

Accepted docker.io into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/1.6.2~dfsg1-1ubuntu4~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in docker.io (Ubuntu Trusty):
status: In Progress → Fix Committed
no longer affects: golang-pty (Ubuntu)
Kick In (kick-d) on 2015-10-27
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-dbus - 2-1~ubuntu0.15.04.1

---------------
golang-dbus (2-1~ubuntu0.15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

golang-dbus (2-1) unstable; urgency=low

  * Upload to unstable

golang-dbus (2-1~exp1) experimental; urgency=low

  * Upstream bump to v2
  * Bump Standards-Version to 3.9.6

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:53:10 +0000

Changed in golang-dbus (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for golang-dbus has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package go-md2man - 1.0.2-1ubuntu1~15.04.1

---------------
go-md2man (1.0.2-1ubuntu1~15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

go-md2man (1.0.2-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Use gccgo for architectures not supported by golang-go.

go-md2man (1.0.2-1) unstable; urgency=medium

  * Upload to unstable.

go-md2man (1.0.2-1~exp1) experimental; urgency=low

  * Update to 1.0.2 upstream release.
    - Add manpage (Closes: #760486)
    - Fix header parsing
    - Fix code block output
  * Fix minor Description capitalization error.
  * Update Standards-Version to 3.9.6.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:52:39 +0000

Changed in go-md2man (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-gocapability-dev - 0.0~git20150506.1.66ef2aa-1~ubuntu0.15.04.1

---------------
golang-gocapability-dev (0.0~git20150506.1.66ef2aa-1~ubuntu0.15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

golang-gocapability-dev (0.0~git20150506.1.66ef2aa-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (0.0~git20150506.1.66ef2aa).

golang-gocapability-dev (0.0~git20150323.1.8e4cdcb-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

golang-gocapability-dev (0.0~git20150323.1.8e4cdcb-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream version (0.0~git20150323.1.8e4cdcb).
  * Bump Standards-Version to 3.9.6.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:54:09 +0000

Changed in golang-gocapability-dev (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-objx - 0.0~git20140527-4~ubuntu0.15.04.1

---------------
golang-objx (0.0~git20140527-4~ubuntu0.15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

golang-objx (0.0~git20140527-4) unstable; urgency=medium

  * Bump standards version to 3.9.6 (no changes).
  * Fix empty short license in debian/copyright.
  * Upload to unstable.

golang-objx (0.0~git20140527-3) experimental; urgency=medium

  * Change debian-branch in gbp.conf to 'unstable'.
  * Change maintainer to go packaging team, move myself to uploaders.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:54:30 +0000

Changed in golang-objx (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-go-patricia - 2.1.0-1~ubuntu0.15.04.1

---------------
golang-go-patricia (2.1.0-1~ubuntu0.15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

golang-go-patricia (2.1.0-1) unstable; urgency=medium

  * Update to 2.1.0 upstream release.
  * Bump Standards-Version to 3.9.6.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:53:51 +0000

Changed in golang-go-patricia (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-fsnotify - 1.2.0-1~ubuntu0.15.04.1

---------------
golang-fsnotify (1.2.0-1~ubuntu0.15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

golang-fsnotify (1.2.0-1) unstable; urgency=medium

  * Update to 1.2.0 upstream release.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:53:31 +0000

Changed in golang-fsnotify (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-logrus - 0.7.3-1~ubuntu0.15.04.1

---------------
golang-logrus (0.7.3-1~ubuntu0.15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 to support Docker SRU (LP: #1454719).

golang-logrus (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * Upgrade to 0.7.3.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:55:03 +0000

Changed in golang-logrus (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 1.6.2~dfsg1-1ubuntu4~15.04.1

---------------
docker.io (1.6.2~dfsg1-1ubuntu4~15.04.1) vivid; urgency=medium

  * Backport to Ubuntu 15.04 (LP: #1454719).
    - Removing Wily related fixes:
      + d/p/update-go.net-golang.org.patch: canonical name change upstream
      + d/p/golang-1.5-wily.patch to fix FTBFS with golang-1.5 build on wily
      + d/p/ppc64el-wily.patch to fix ppc64le FTBFS on wily
      + d/p/libcontainer_arm64_syscall_dup2_to_dup3-c_changes.patch
      + d/p/libcontainer_arm64_syscall_dup2_to_dup3-golang_changes.patch
      + d/rules to build with golang-go on arm64
      + d/control to build with golang-go on arm64

 -- Pierre-André MOREY <email address hidden> Tue, 13 Oct 2015 16:18:51 +0200

Changed in docker.io (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-blackfriday - 1.2-1~ubuntu0.14.04.1

---------------
golang-blackfriday (1.2-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:52:20 +0000

Changed in golang-blackfriday (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-context-dev - 0.0~git20140604.1.14f550f-1~ubuntu0.14.04.1

---------------
golang-context-dev (0.0~git20140604.1.14f550f-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).
  * Rename source package to golang-context-dev to align to 14.04.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:52:49 +0000

Changed in golang-context-dev (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-dbus - 2-1~ubuntu0.14.04.1

---------------
golang-dbus (2-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

golang-dbus (2-1) unstable; urgency=low

  * Upload to unstable

golang-dbus (2-1~exp1) experimental; urgency=low

  * Upstream bump to v2
  * Bump Standards-Version to 3.9.6

golang-dbus (1-1) unstable; urgency=low

  * Initial release (Closes: #744983).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:52:55 +0000

Changed in golang-dbus (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-objx - 0.0~git20140527-4~ubuntu0.14.04.1

---------------
golang-objx (0.0~git20140527-4~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:54:16 +0000

Changed in golang-objx (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package go-md2man - 1.0.2-1ubuntu1~14.04.1

---------------
go-md2man (1.0.2-1ubuntu1~14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:52:27 +0000

Changed in go-md2man (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-testify - 0.0~git20141213-1~ubuntu0.14.04.1

---------------
golang-testify (0.0~git20141213-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:54:36 +0000

Changed in golang-testify (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-pty-dev - 0.0~git20150218-0ubuntu4~14.04.1

---------------
golang-pty-dev (0.0~git20150218-0ubuntu4~14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).
  * Rename source package to golang-pty-dev to align to 14.04.

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:55:13 +0000

Changed in golang-pty-dev (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-gocapability-dev - 0.0~git20150506.1.66ef2aa-1~ubuntu0.14.04.1

---------------
golang-gocapability-dev (0.0~git20150506.1.66ef2aa-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

golang-gocapability-dev (0.0~git20150506.1.66ef2aa-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (0.0~git20150506.1.66ef2aa).

golang-gocapability-dev (0.0~git20150323.1.8e4cdcb-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

golang-gocapability-dev (0.0~git20150323.1.8e4cdcb-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream version (0.0~git20150323.1.8e4cdcb).
  * Bump Standards-Version to 3.9.6.

golang-gocapability-dev (0.0~git20140516-1) unstable; urgency=low

  * New upstream version (0.0~git20140516).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:53:57 +0000

Changed in golang-gocapability-dev (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-fsnotify - 1.2.0-1~ubuntu0.14.04.1

---------------
golang-fsnotify (1.2.0-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:53:16 +0000

Changed in golang-fsnotify (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-logrus - 0.7.3-1~ubuntu0.14.04.1

---------------
golang-logrus (0.7.3-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:54:49 +0000

Changed in golang-logrus (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-go-patricia - 2.1.0-1~ubuntu0.14.04.1

---------------
golang-go-patricia (2.1.0-1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 to support Docker SRU (LP: #1454719).

 -- Robie Basak <email address hidden> Wed, 17 Jun 2015 12:53:37 +0000

Changed in golang-go-patricia (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 1.6.2~dfsg1-1ubuntu4~14.04.1

---------------
docker.io (1.6.2~dfsg1-1ubuntu4~14.04.1) trusty; urgency=medium

  * Backport to Ubuntu 14.04 (LP: #1454719).
  * Disabled
    - d/p/lxc.autodev-support.patch to minimise regression risk as
      it is not relevant for the version of LXC on Trusty (1.0.3-0ubuntu3).
    - d/p/update-go.net-golang.org.patch: there has been a url
      canonical name change upstream, but keeping this patch on involves
      backporting golang to 1.4 which is undesirable for this backport
      (golang-go.net-dev needs golang-x-text, which does not build
      successfully without a 1.4 backport).
    - Wily related fixes:
      + d/p/golang-1.5-wily.patch to fix FTBFS with golang-1.5 build on wily
      + d/p/ppc64el-wily.patch to fix ppc64le FTBFS on wily (LP: #1488668)
      + d/p/libcontainer_arm64_syscall_dup2_to_dup3-c_changes.patch (LP: #1488669)
      + d/p/libcontainer_arm64_syscall_dup2_to_dup3-golang_changes.patch (LP: #1488669)
      + d/rules to build with golang-go on arm64 (LP: #1488669)
      + d/control to build with golang-go on arm64 (LP: #1488669)
  * Reverted:
    d/rules: http://anonscm.debian.org/cgit/docker/docker.io.git/diff/?id=b1458f5
    commit to preserve docker.io symlink.

 -- Pierre-André MOREY <email address hidden> Tue, 22 Sep 2015 13:47:53 +0200

Changed in docker.io (Ubuntu Trusty):
status: Fix Committed → Fix Released
Fathi Boudra (fboudra) wrote :

fwiw, the backport isn't available on Trusty arm64:
Missing build dependencies: go-md2man (>= 1.0.1~)

Fathi Boudra (fboudra) wrote :

please ignore previous comment. it's still in -proposed.

Fathi Boudra (fboudra) wrote :

go-md2man failed to build on trusty arm64, hence blocking docker.io for trusty arm64.

Download full text (3.8 KiB)

Hi,

For now we have no plan for supporting docker on arm64 on trusty, even if
go-md2man could be made building on trusty arm64, docker won't build on
arm64 trusty.

Docker for arm64 is available from vivid.

2015-10-31 9:13 GMT+01:00 Fathi Boudra <email address hidden>:

> go-md2man failed to build on trusty arm64, hence blocking docker.io for
> trusty arm64.
>
> --
> You received this bug notification because you are a member of Docker
> Ubuntu Maintainers, which is subscribed to docker.io in Ubuntu.
> Matching subscriptions: kick
> https://bugs.launchpad.net/bugs/1454719
>
> Title:
> docker.io update to 1.6.2
>
> Status in docker.io package in Ubuntu:
> Fix Released
> Status in go-md2man package in Ubuntu:
> Fix Released
> Status in golang-blackfriday package in Ubuntu:
> Fix Released
> Status in golang-context-dev package in Ubuntu:
> Fix Released
> Status in golang-dbus package in Ubuntu:
> Fix Released
> Status in golang-fsnotify package in Ubuntu:
> Fix Released
> Status in golang-go-patricia package in Ubuntu:
> Fix Released
> Status in golang-gocapability-dev package in Ubuntu:
> Fix Released
> Status in golang-logrus package in Ubuntu:
> Fix Released
> Status in golang-objx package in Ubuntu:
> Fix Released
> Status in golang-pty-dev package in Ubuntu:
> Fix Released
> Status in golang-testify package in Ubuntu:
> Fix Released
> Status in docker.io source package in Trusty:
> Fix Released
> Status in go-md2man source package in Trusty:
> Fix Released
> Status in golang-blackfriday source package in Trusty:
> Fix Released
> Status in golang-context-dev source package in Trusty:
> Fix Released
> Status in golang-dbus source package in Trusty:
> Fix Released
> Status in golang-fsnotify source package in Trusty:
> Fix Released
> Status in golang-go-patricia source package in Trusty:
> Fix Released
> Status in golang-gocapability-dev source package in Trusty:
> Fix Released
> Status in golang-logrus source package in Trusty:
> Fix Released
> Status in golang-objx source package in Trusty:
> Fix Released
> Status in golang-pty-dev source package in Trusty:
> Fix Released
> Status in golang-testify source package in Trusty:
> Fix Released
> Status in docker.io source package in Utopic:
> Won't Fix
> Status in go-md2man source package in Utopic:
> Won't Fix
> Status in golang-dbus source package in Utopic:
> Won't Fix
> Status in golang-fsnotify source package in Utopic:
> Won't Fix
> Status in golang-go-patricia source package in Utopic:
> Won't Fix
> Status in golang-gocapability-dev source package in Utopic:
> Won't Fix
> Status in golang-logrus source package in Utopic:
> Won't Fix
> Status in golang-objx source package in Utopic:
> Won't Fix
> Status in golang-pty-dev source package in Utopic:
> Won't Fix
> Status in golang-testify source package in Utopic:
> Won't Fix
> Status in docker.io source package in Vivid:
> Fix Released
> Status in go-md2man source package in Vivid:
> Fix Released
> Status in golang-dbus source package in Vivid:
> Fix Released
> Status in golang-fsnotify source package in Vivid:
> Fix Released
> Status in golang-go-patricia sourc...

Read more...

Fathi Boudra (fboudra) wrote :

> For now we have no plan for supporting docker on arm64 on trusty, even if
> go-md2man could be made building on trusty arm64, docker won't build on
> arm64 trusty.

fwiw, we can run successfully docker armhf on trusty arm64.

> Docker for arm64 is available from vivid.

so I've installed wily and docker arm64 seems broken:

[ 166.631586] docker[1582]: syscall 1042
[ 166.631593] Code: d2800004 d2800005 f94007e8 d4000001 (b13ffc1f)
[ 166.631599] CPU: 3 PID: 1582 Comm: docker Tainted: G W 4.2.0-16-generic #19-Ubuntu
[ 166.631602] Hardware name: APM X-Gene Mustang board (DT)
[ 166.631605] task: ffffffc3eb91cc80 ti: ffffffc3e66c0000 task.ti: ffffffc3e66c0000
[ 166.631609] PC is at 0x619b30
[ 166.631611] LR is at 0x6155f8
[ 166.631613] pc : [<0000000000619b30>] lr : [<00000000006155f8>] pstate: 20000000
[ 166.631615] sp : 00000048202cb3d0
[ 166.631617] x29: 0000007fabada870 x28: 00000048200f0600
[ 166.631621] x27: 0000000000fc41e5 x26: 00000048202cb3e0
[ 166.631624] x25: 00000000306414c4 x24: 000000003ed678b1
[ 166.631627] x23: 0000000037af13b0 x22: 0000000000000002
[ 166.631630] x21: 0000000000000000 x20: 000000000000000b
[ 166.631632] x19: 000000000000000c x18: 0000000000000000
[ 166.631635] x17: 0000000000d5e6c8 x16: 00000048205405a8
[ 166.631638] x15: 0000000000000070 x14: 0000000000000000
[ 166.631640] x13: 0000000000000000 x12: 0000000000000008
[ 166.631643] x11: 0000000000000000 x10: 0000000000d5a958
[ 166.631646] x9 : 0000000000000002 x8 : 0000000000000412
[ 166.631648] x7 : 0000000000000003 x6 : 0000000000000000
[ 166.631651] x5 : 0000000000000000 x4 : 0000000000000000
[ 166.631653] x3 : 0000000000000000 x2 : 0000000000000000
[ 166.631655] x1 : 0000000000000000 x0 : 0000000000000001

docker is calling epoll_create, which is replaced with epoll_create1.

I've built docker 1.7.1 from https://github.com/coreos/docker/commits/coreos-1.7.1 which contains some arm64 fixes and it worked fine.

Kick In (kick-d) wrote :
Download full text (5.5 KiB)

Thanks, for reporting this.

2015-11-02 21:14 GMT+01:00 Fathi Boudra <email address hidden>:

> > For now we have no plan for supporting docker on arm64 on trusty, even if
> > go-md2man could be made building on trusty arm64, docker won't build on
> > arm64 trusty.
>
> fwiw, we can run successfully docker armhf on trusty arm64.
>
> > Docker for arm64 is available from vivid.
>
> so I've installed wily and docker arm64 seems broken:
>
> [ 166.631586] docker[1582]: syscall 1042
> [ 166.631593] Code: d2800004 d2800005 f94007e8 d4000001 (b13ffc1f)
> [ 166.631599] CPU: 3 PID: 1582 Comm: docker Tainted: G W
> 4.2.0-16-generic #19-Ubuntu
> [ 166.631602] Hardware name: APM X-Gene Mustang board (DT)
> [ 166.631605] task: ffffffc3eb91cc80 ti: ffffffc3e66c0000 task.ti:
> ffffffc3e66c0000
> [ 166.631609] PC is at 0x619b30
> [ 166.631611] LR is at 0x6155f8
> [ 166.631613] pc : [<0000000000619b30>] lr : [<00000000006155f8>] pstate:
> 20000000
> [ 166.631615] sp : 00000048202cb3d0
> [ 166.631617] x29: 0000007fabada870 x28: 00000048200f0600
> [ 166.631621] x27: 0000000000fc41e5 x26: 00000048202cb3e0
> [ 166.631624] x25: 00000000306414c4 x24: 000000003ed678b1
> [ 166.631627] x23: 0000000037af13b0 x22: 0000000000000002
> [ 166.631630] x21: 0000000000000000 x20: 000000000000000b
> [ 166.631632] x19: 000000000000000c x18: 0000000000000000
> [ 166.631635] x17: 0000000000d5e6c8 x16: 00000048205405a8
> [ 166.631638] x15: 0000000000000070 x14: 0000000000000000
> [ 166.631640] x13: 0000000000000000 x12: 0000000000000008
> [ 166.631643] x11: 0000000000000000 x10: 0000000000d5a958
> [ 166.631646] x9 : 0000000000000002 x8 : 0000000000000412
> [ 166.631648] x7 : 0000000000000003 x6 : 0000000000000000
> [ 166.631651] x5 : 0000000000000000 x4 : 0000000000000000
> [ 166.631653] x3 : 0000000000000000 x2 : 0000000000000000
> [ 166.631655] x1 : 0000000000000000 x0 : 0000000000000001
>
> docker is calling epoll_create, which is replaced with epoll_create1.
>
> I've built docker 1.7.1 from
> https://github.com/coreos/docker/commits/coreos-1.7.1 which contains
> some arm64 fixes and it worked fine.
>
> --
> You received this bug notification because you are a member of Docker
> Ubuntu Maintainers, which is subscribed to docker.io in Ubuntu.
> Matching subscriptions: kick
> https://bugs.launchpad.net/bugs/1454719
>
> Title:
> docker.io update to 1.6.2
>
> Status in docker.io package in Ubuntu:
> Fix Released
> Status in go-md2man package in Ubuntu:
> Fix Released
> Status in golang-blackfriday package in Ubuntu:
> Fix Released
> Status in golang-context-dev package in Ubuntu:
> Fix Released
> Status in golang-dbus package in Ubuntu:
> Fix Released
> Status in golang-fsnotify package in Ubuntu:
> Fix Released
> Status in golang-go-patricia package in Ubuntu:
> Fix Released
> Status in golang-gocapability-dev package in Ubuntu:
> Fix Released
> Status in golang-logrus package in Ubuntu:
> Fix Released
> Status in golang-objx package in Ubuntu:
> Fix Released
> Status in golang-pty-dev package in Ubuntu:
> Fix Released
> Status in golang-testify package in Ubuntu:
> Fix Released
> Status in docker.io source package in Trust...

Read more...

Kick In (kick-d) wrote :
Download full text (5.8 KiB)

How can I reproduce this error on arm64?

2015-11-03 8:12 GMT+01:00 Pierre-Andre Morey <
<email address hidden>>:

> Thanks, for reporting this.
>
> 2015-11-02 21:14 GMT+01:00 Fathi Boudra <email address hidden>:
>
>> > For now we have no plan for supporting docker on arm64 on trusty, even
>> if
>> > go-md2man could be made building on trusty arm64, docker won't build on
>> > arm64 trusty.
>>
>> fwiw, we can run successfully docker armhf on trusty arm64.
>>
>> > Docker for arm64 is available from vivid.
>>
>> so I've installed wily and docker arm64 seems broken:
>>
>> [ 166.631586] docker[1582]: syscall 1042
>> [ 166.631593] Code: d2800004 d2800005 f94007e8 d4000001 (b13ffc1f)
>> [ 166.631599] CPU: 3 PID: 1582 Comm: docker Tainted: G W
>> 4.2.0-16-generic #19-Ubuntu
>> [ 166.631602] Hardware name: APM X-Gene Mustang board (DT)
>> [ 166.631605] task: ffffffc3eb91cc80 ti: ffffffc3e66c0000 task.ti:
>> ffffffc3e66c0000
>> [ 166.631609] PC is at 0x619b30
>> [ 166.631611] LR is at 0x6155f8
>> [ 166.631613] pc : [<0000000000619b30>] lr : [<00000000006155f8>]
>> pstate: 20000000
>> [ 166.631615] sp : 00000048202cb3d0
>> [ 166.631617] x29: 0000007fabada870 x28: 00000048200f0600
>> [ 166.631621] x27: 0000000000fc41e5 x26: 00000048202cb3e0
>> [ 166.631624] x25: 00000000306414c4 x24: 000000003ed678b1
>> [ 166.631627] x23: 0000000037af13b0 x22: 0000000000000002
>> [ 166.631630] x21: 0000000000000000 x20: 000000000000000b
>> [ 166.631632] x19: 000000000000000c x18: 0000000000000000
>> [ 166.631635] x17: 0000000000d5e6c8 x16: 00000048205405a8
>> [ 166.631638] x15: 0000000000000070 x14: 0000000000000000
>> [ 166.631640] x13: 0000000000000000 x12: 0000000000000008
>> [ 166.631643] x11: 0000000000000000 x10: 0000000000d5a958
>> [ 166.631646] x9 : 0000000000000002 x8 : 0000000000000412
>> [ 166.631648] x7 : 0000000000000003 x6 : 0000000000000000
>> [ 166.631651] x5 : 0000000000000000 x4 : 0000000000000000
>> [ 166.631653] x3 : 0000000000000000 x2 : 0000000000000000
>> [ 166.631655] x1 : 0000000000000000 x0 : 0000000000000001
>>
>> docker is calling epoll_create, which is replaced with epoll_create1.
>>
>> I've built docker 1.7.1 from
>> https://github.com/coreos/docker/commits/coreos-1.7.1 which contains
>> some arm64 fixes and it worked fine.
>>
>> --
>> You received this bug notification because you are a member of Docker
>> Ubuntu Maintainers, which is subscribed to docker.io in Ubuntu.
>> Matching subscriptions: kick
>> https://bugs.launchpad.net/bugs/1454719
>>
>> Title:
>> docker.io update to 1.6.2
>>
>> Status in docker.io package in Ubuntu:
>> Fix Released
>> Status in go-md2man package in Ubuntu:
>> Fix Released
>> Status in golang-blackfriday package in Ubuntu:
>> Fix Released
>> Status in golang-context-dev package in Ubuntu:
>> Fix Released
>> Status in golang-dbus package in Ubuntu:
>> Fix Released
>> Status in golang-fsnotify package in Ubuntu:
>> Fix Released
>> Status in golang-go-patricia package in Ubuntu:
>> Fix Released
>> Status in golang-gocapability-dev package in Ubuntu:
>> Fix Released
>> Status in golang-logrus package in Ubuntu:
>> Fix Released
>> Status in golang-objx p...

Read more...

Fathi Boudra (fboudra) wrote :

To reproduce: install Ubuntu Wily and docker package (1.6.2~dfsg1-1ubuntu4) on APM X-Gene Mustang board, then try to start the service.

The service shouldn't start at all and you should see the traces in kernel.log.

dann frazier (dannf) wrote :

With xenial (Linux 4.4), I am able to start docker (1.6.2~dfsg1-1ubuntu5) on a mustang. I do see the syscall 1069 messages in dmesg, but the service still runs.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers